Page MenuHomePhabricator

Bundle PEAR Mail library via composer so people don't need to install it manually
Closed, ResolvedPublic

Description

It's published on packagist: https://packagist.org/packages/pear/mail

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.Apr 28 2015, 6:52 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: MediaWiki-General.
Legoktm added subscribers: Legoktm, demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2015, 6:52 PM
Aklapper triaged this task as Medium priority.Apr 29 2015, 9:12 AM

Change 207455 had a related patch set uploaded (by Chad):
Add PEAR's Mail and Mail_Mime to composer.json's suggestions

https://gerrit.wikimedia.org/r/207455

Removing this from 1.25 blockers. Patch is nowhere near ready and really doesn't impact the release. A nice to have, but not urgent.

demon set Security to None.
brion added a subscriber: brion.Jun 2 2015, 8:26 PM
Reedy added a subscriber: Reedy.Aug 14 2015, 2:05 PM

Should we bring in the mail stuff into the WMF vendor repo?

Change 207455 merged by jenkins-bot:
Add PEAR's Mail and Mail_Mime to composer.json's suggestions

https://gerrit.wikimedia.org/r/207455

Change 231611 had a related patch set uploaded (by Reedy):
Bundle pear/mail pear/mail_mime pear/mail_mime-decode

https://gerrit.wikimedia.org/r/231611

Reedy added a comment.Aug 14 2015, 7:00 PM

Change 207455 merged by jenkins-bot:
Add PEAR's Mail and Mail_Mime to composer.json's suggestions
https://gerrit.wikimedia.org/r/207455

Added pear/mail_mime-decode too in https://gerrit.wikimedia.org/r/231614

I dunno if we will need to add pear/pear like I had to for https://gerrit.wikimedia.org/r/231611

Reedy closed this task as Resolved.EditedJan 20 2016, 11:09 PM
Reedy claimed this task.